import request from '@/utils/request'

// 查询设备物料种类列表
export function listType(query) {
  return request({
    url: '/watch-api/type/list',
    method: 'get',
    params: query
  })
}

// 查询设备物料种类详细
export function getType(id) {
  return request({
    url: '/watch-api/type/' + id,
    method: 'get'
  })
}

// 新增设备物料种类
export function addType(data) {
  return request({
    url: '/watch-api/type',
    method: 'post',
    data: data
  })
}

// 修改设备物料种类
export function updateType(data) {
  return request({
    url: '/watch-api/type',
    method: 'put',
    data: data
  })
}

// 删除设备物料种类
export function delType(id) {
  return request({
    url: '/watch-api/type/' + id,
    method: 'delete'
  })
}

// 导出设备物料种类
export function exportType(query) {
  return request({
    url: '/watch-api/type/export',
    method: 'get',
    params: query
  })
}
